Subject: bug#44347: closed (Re: bug#44347: mingetty --no-clear is hard-coded)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Dec 2020 17:13:02 +0000

Your bug report

#44347: mingetty --no-clear is hard-coded

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44347: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44347
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44347: mingetty --no-clear is hard-coded
From: Ludovic Courtès <[email-masked]>
To: Mark H Weaver <[email-masked]>
Cc: [email-masked], Jesse Gibbons <[email-masked]>
Date: Thu, 03 Dec 2020 18:12:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This was fixed by commit e3ae31347882b25e1513e4475616fb6e4497e280.

Closing!

Subject: mingetty --no-clear is hard-coded
From: Jesse Gibbons <[email-masked]>
To: [email-masked]
Date: Sat, 31 Oct 2020 09:16:19 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

The --no-clear option is hard-coded for mingetty, with no documentation 
about why. The mingetty page says,
        --noclear
               Do not clear the screen before prompting for the login 
name (the
               screen is normally cleared).

I do not think I am alone in preferring the screen cleared after logout. 
I also think it could be a security issue. For now my workaround is to 
include a call to "tput reset" or "clear" in my .bash_logout script, but 
that has to be configured for every user and requires more packages 
installed either at the system level or per-user.

I think this is an "easy for beginners" issue. I would fix it myself, 
but I have a lot of other stuff to do.